Update a specific secret by id
curl --request PUT \
--url https://api.rootly.com/v1/secrets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "secrets",
"attributes": {
"name": "<string>",
"secret": "<string>",
"hashicorp_vault_mount": "secret",
"hashicorp_vault_path": "<string>",
"hashicorp_vault_version": 0
}
}
}
'{
"data": {
"id": "<string>",
"type": "secrets",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"secret": "<string>",
"hashicorp_vault_mount": "<string>",
"hashicorp_vault_path": "<string>",
"hashicorp_vault_version": 123
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
secret updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/secrets/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "secrets",
"attributes": {
"name": "<string>",
"secret": "<string>",
"hashicorp_vault_mount": "secret",
"hashicorp_vault_path": "<string>",
"hashicorp_vault_version": 0
}
}
}
'{
"data": {
"id": "<string>",
"type": "secrets",
"attributes": {
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"secret": "<string>",
"hashicorp_vault_mount": "<string>",
"hashicorp_vault_path": "<string>",
"hashicorp_vault_version": 123
}
}
}